org.apache.cayenne.util

## Class ArrayUtil

- java.lang.Object
- - org.apache.cayenne.util.ArrayUtil

-     public final class ArrayUtil
      extends Object

  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean[][]` | `sliceArray(boolean[] array, int batchSize)`
    `static byte[][]` | `sliceArray(byte[] array, int batchSize)`
    `static char[][]` | `sliceArray(char[] array, int batchSize)`
    `static double[][]` | `sliceArray(double[] array, int batchSize)`
    `static float[][]` | `sliceArray(float[] array, int batchSize)`
    `static int[][]` | `sliceArray(int[] array, int batchSize)`
    `static long[][]` | `sliceArray(long[] array, int batchSize)`
    `static Object[][]` | `sliceArray(Object[] array, int batchSize)`
    `static short[][]` | `sliceArray(short[] array, int batchSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayUtil

          public ArrayUtil()

  - ### Method Detail

    - #### sliceArray

          public static int[][] sliceArray(int[] array,
                                           int batchSize)

    - #### sliceArray

          public static long[][] sliceArray(long[] array,
                                            int batchSize)

    - #### sliceArray

          public static float[][] sliceArray(float[] array,
                                             int batchSize)

    - #### sliceArray

          public static double[][] sliceArray(double[] array,
                                              int batchSize)

    - #### sliceArray

          public static short[][] sliceArray(short[] array,
                                             int batchSize)

    - #### sliceArray

          public static char[][] sliceArray(char[] array,
                                            int batchSize)

    - #### sliceArray

          public static boolean[][] sliceArray(boolean[] array,
                                               int batchSize)

    - #### sliceArray

          public static byte[][] sliceArray(byte[] array,
                                            int batchSize)

    - #### sliceArray

          public static Object[][] sliceArray(Object[] array,
                                              int batchSize)

Copyright © 2001–2021 Apache Cayenne. All rights reserved.